<?php declare(strict_types=1);
/**
 * Helper class for using Twig templates
 */

namespace Infomaker\Everyware\Twig;

use Infomaker\Everyware\Support\Str;

/**
 * View
 *
 * @link    http://infomaker.se
 * @package Infomaker\Everyware\Twig
 * @since   Infomaker\Everyware\Twig\View 0.1
 */
class View
{

    /**
     * Render template with context data
     *
     * @param string $template
     * @param array $context
     *
     * @return void
     * @throws \Twig_Error_Loader
     * @throws \Twig_Error_Runtime
     * @throws \Twig_Error_Syntax
     */
    public static function render(string $template, array $context = []): void
    {
        EveryTwig::get_instance()->render(Str::finish($template, '.twig'), $context);
    }

    /**
     * Generate a HTML-version of the template with context data
     *
     * @param string $template
     * @param array $context
     *
     * @return string
     * @throws \Twig_Error_Loader
     * @throws \Twig_Error_Runtime
     * @throws \Twig_Error_Syntax
     */
    public static function generate(string $template, array $context = []): string
    {
        return EveryTwig::get_instance()->view(Str::finish($template, '.twig'), $context);
    }
}
